summaryrefslogtreecommitdiffstats
path: root/fuel/ci/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fuel/ci/deploy.sh')
-rwxr-xr-xfuel/ci/deploy.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/fuel/ci/deploy.sh b/fuel/ci/deploy.sh
index d11c65a..df23249 100755
--- a/fuel/ci/deploy.sh
+++ b/fuel/ci/deploy.sh
@@ -1,3 +1,12 @@
-# To be able to deploy on a certain metal environment there needs to be a Deployment Environment Adaptor executable"
-# properly added to $PATH such that deploy.sh can call it by $dea [options] as indicated by ./deploy -h.
+#!/bin/bash -x
+set -o xtrace
+set -o errexit
+set -o nounset
+set -o pipefail
+WORKSPACE=$(readlink -e ..)
+ISO_LOCATION="$(readlink -f $(find $WORKSPACE -iname 'fuel*iso' -type f))"
+INTERFACE="fuel"
+
+cd "${WORKSPACE}/deploy"
+./deploy_fuel.sh "$ISO_LOCATION" $INTERFACE 2>&1 | tee deploy_fuel.log